/**
Forca
-----
    * Possui uma string (palavra procurada)
    * Possui uma string para ser exibida
    * Possui um método para adicionar uma letra
    * Possui um método para verificar se ganhou
Menu
----
    * Interface com o usuário do programa
Jogo
----
    * Controla a operação e regras do jogo.
      Por exemplo, quantas vezes o usuário poderá Jogar.

Repositorio
------------
    * Repositório com um conjunto de palavras.
    * Seleciona aleatoriamente uma palavra     
*/  
#include <iostream>
#include <string>
#include <list>
#include <fstream>
#include <cstdlib>
#include <ctime>

using namespace std;
// Repositório de Palavras para Forca
class Repositorio {
private:
    list <string> palavras;
public:    
    Repositorio(string arquivo) {
        ifstream file( arquivo.c_str(), ios::in );
        string linha;
        while( getline( file, linha ) )
            palavras.push_back( linha );
        // inicializa a função random 
        srand( time( NULL ) );
    }
    
    string seleciona() {
        int posicaoSelecionada = random() % palavras.size();
        list<string>::iterator i;
        int count = 0;
        for( i = palavras.begin(); i != palavras.end(); i++ ) {
            if( posicaoSelecionada == count )
                return *i;
            count++;
        }
    }
   
    void adicionaPalavra( string palavra ) {
        palavras.push_back( palavra );
        ofstream file( "palavras.txt", ios::app );
        file << palavra << endl;
    }
    
    
}; 
