#include "Forca.h"

Forca::Forca() {} // Construtor default 
  
Forca::Forca( string procurada ) : procurada( procurada ) {
    mascara = procurada;
    for( int i = 0; i < mascara.size(); i++ )
        mascara[i] = '_';    
}
    
string Forca::getMascara() {
    return mascara;
}
    
string Forca::getProcurada() {
    return procurada;
}
/**
 * Retorna true    se acertou
 *         false   caso contrario
 */
bool Forca::adicionaLetra( char letra ) {
    bool ret = false;
    for( int i = 0; i < procurada.size(); i++ )
        if( procurada[i] == letra ) {
            mascara[i] = letra;
            ret = true;
        }
    return ret;
}
    
bool Forca::verificaSeGanhou() {
    if( procurada == mascara )
        return true;
    else
        return false;
}
    
void Forca::imprimeMascara() {
    for(int i = 0; i < mascara.size(); i++ ) {
        cout << mascara[i];
        cout << ' ';
    }
    cout << endl;
} 

